Add or Update Policy
put
/v1/governance/policy
Creates or updates the governance policy identified by `uuid`, configuring its approval threshold and authorized deployer addresses through a transaction submitted by `fromAddress`.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
async: boolean
Default Value:
false -
deployers(required): array
deployers
Minimum Number of Items:
1 -
fromAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
threshold(required): integer
Minimum Value:
0 -
uuid(required): string
(uuid)
Example:
{
"uuid":"530aea52-fe27-45fa-8785-7da0d34378e3",
"threshold":3,
"deployers":[
"0x34dad2d9a0be504ab4eea2711d8c3da628b82b2c"
],
"fromAddress":"0x34dad2d9a0be504ab4eea2711d8c3da628b82b2c",
"async":false
}Nested Schema : deployers
Type:
arrayMinimum Number of Items:
Show Source
1-
Array of:
string
Pattern:
^0x[a-fA-F0-9]{40}$
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Transaction receipt confirmed
Root Schema : SyncGovernanceResponse
Type:
Show Source
object-
status(required): string
Allowed Values:
[ "confirmed" ] -
success(required): boolean
-
txHash(required): string
202 Response
Transaction submitted or receipt not yet available
Root Schema : AsyncGovernanceResponse
Type:
Show Source
object-
status(required): string
Allowed Values:
[ "submitted" ] -
txHash(required): string
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
403 Response
The authenticated user is not authorized to access the requested wallet or operation.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.